低危 PHP目录遍历漏洞(CNVD-2012-2405)

CVE编号

CVE-2012-1172

利用情况

暂无

补丁情况

官方补丁

披露时间

2012-05-24
漏洞描述
PHP是一种在服务器端执行的嵌入HTML文档的脚本语言。PHP未能充分校验上传名,可破坏$_FILES数组覆盖变量,在一定条件下下载文件或上传非法文件。在某些应用环境下,允许提交的变量名称出现[比]多的情况,比如可以为file[[type]或file[name][的形式,由于这些格式的变量处理不当可导致了变量覆盖问题可触发此漏洞。
解决建议
PHP 5.4.1和PHP 5.3.11已经修复此漏洞,建议用户下载使用:http://www.php.net/archive/2012.php#id2012-04-26-1
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 php php * Up to
(including)
5.3.10
运行在以下环境
应用 php php 5.0.0 -
运行在以下环境
应用 php php 5.0.1 -
运行在以下环境
应用 php php 5.0.2 -
运行在以下环境
应用 php php 5.0.3 -
运行在以下环境
应用 php php 5.0.4 -
运行在以下环境
应用 php php 5.0.5 -
运行在以下环境
应用 php php 5.1.0 -
运行在以下环境
应用 php php 5.1.1 -
运行在以下环境
应用 php php 5.1.2 -
运行在以下环境
应用 php php 5.1.3 -
运行在以下环境
应用 php php 5.1.4 -
运行在以下环境
应用 php php 5.1.5 -
运行在以下环境
应用 php php 5.1.6 -
运行在以下环境
应用 php php 5.2.0 -
运行在以下环境
应用 php php 5.2.1 -
运行在以下环境
应用 php php 5.2.10 -
运行在以下环境
应用 php php 5.2.11 -
运行在以下环境
应用 php php 5.2.12 -
运行在以下环境
应用 php php 5.2.13 -
运行在以下环境
应用 php php 5.2.14 -
运行在以下环境
应用 php php 5.2.15 -
运行在以下环境
应用 php php 5.2.16 -
运行在以下环境
应用 php php 5.2.17 -
运行在以下环境
应用 php php 5.2.2 -
运行在以下环境
应用 php php 5.2.3 -
运行在以下环境
应用 php php 5.2.4 -
运行在以下环境
应用 php php 5.2.5 -
运行在以下环境
应用 php php 5.2.6 -
运行在以下环境
应用 php php 5.2.7 -
运行在以下环境
应用 php php 5.2.8 -
运行在以下环境
应用 php php 5.2.9 -
运行在以下环境
应用 php php 5.3.0 -
运行在以下环境
应用 php php 5.3.1 -
运行在以下环境
应用 php php 5.3.2 -
运行在以下环境
应用 php php 5.3.3 -
运行在以下环境
应用 php php 5.3.4 -
运行在以下环境
应用 php php 5.3.5 -
运行在以下环境
应用 php php 5.3.6 -
运行在以下环境
应用 php php 5.3.7 -
运行在以下环境
应用 php php 5.3.8 -
运行在以下环境
应用 php php 5.3.9 -
运行在以下环境
系统 centos_5 php * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-bcmath * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-cli * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-common * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-dba * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-devel * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-gd * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-imap * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-ldap * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-mbstring * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-mysql * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-ncurses * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-odbc * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-pdo * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-pgsql * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-snmp * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-soap * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-xml * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_5 php-xmlrpc * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 centos_6 php * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-bcmath * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-cli * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-common * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-dba * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-devel * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-gd * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-imap * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-ldap * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-mbstring * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-mysql * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-ncurses * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-odbc * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-pdo * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-pgsql * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-snmp * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-soap * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-xml * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 centos_6 php-xmlrpc * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_5 php * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-bcmath * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-cli * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-common * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-dba * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-devel * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-gd * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-imap * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-ldap * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-mbstring * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-mysql * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-ncurses * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-odbc * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-pdo * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-pgsql * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-snmp * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-soap * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-xml * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_5 php-xmlrpc * Up to
(excluding)
5.1.6-39.el5_8
运行在以下环境
系统 oracle_6 php * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-bcmath * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-cli * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-common * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-dba * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-devel * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-gd * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-imap * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-ldap * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-mbstring * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-mysql * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-ncurses * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-odbc * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-pdo * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-pgsql * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-snmp * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-soap * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-xml * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 oracle_6 php-xmlrpc * Up to
(excluding)
5.3.3-14.el6_3
运行在以下环境
系统 redhat_5 php * Up to
(excluding)
0:5.1.6-39.el5_8
运行在以下环境
系统 redhat_6 php * Up to
(excluding)
0:5.3.3-14.el6_3
运行在以下环境
系统 suse_11 apache2-mod_php53 * Up to
(excluding)
5.3.17-0.13
运行在以下环境
系统 ubuntu_12.04.5_lts php5 * Up to
(excluding)
5.3.10-1ubuntu3.2
阿里云评分
3.3
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-20 输入验证不恰当
阿里云安全产品覆盖情况